write_bbt
Prev | Chapter 11. Internal Functions Provided | Next

## Name

write_bbt — [GENERIC] (Re)write the bad block table

## Synopsis

`int write_bbt (` | struct mtd_info * | mtd,
| uint8_t * | buf,
| struct nand_bbt_descr * | td,
| struct nand_bbt_descr * | md,
| int | chipsel`)`;

## Arguments

`mtd`

  MTD device structure

`buf`

  temporary buffer

`td`

  descriptor for the bad block table

`md`

  descriptor for the bad block table mirror

`chipsel`

  selector for a specific chip, -1 for all

## Description

(Re)write the bad block table

## Description

(Re)write the bad block table

Prev | Up | Next
search_read_bbts | Home | nand_memory_bbt